---

kind: pipeline
type: docker
name: default

clone:
  disable: true

steps:
  - name: clone
    image: alpine/git
    commands:
      - git clone "$DRONE_GIT_HTTP_URL" .
      - git checkout "$DRONE_COMMIT"
      - chown -R 29380:29380 .

  - name: deploy faderboard BOM
    image: appleboy/drone-scp
    settings:
      host: dragon.luj0ga.de
      port: 4222
      username: www-data
      key:
        from_secret: ssh_key
      passphrase:
        from_secret: ssh_passphrase
      target: /var/www/bom.ljg.sh/${DRONE_REPO_NAME}/faderboard
      source: faderboard/bom/ibom.html
      strip_components: 2
      overwrite: yes
    when:
      event:
        - push
      branch:
        - main

  - name: build firmware for faderboard
    image: git.luj0ga.de/luca/docker-embedded-rust
    commands:
      - >-
        [ -z "$(git diff --name-only "$DRONE_COMMIT_BEFORE" "$DRONE_COMMIT_AFTER" | grep '^firmware/faderboard/')" ]
        && echo "nothing to do" >&2
        && exit 0
      - cd firmware/faderboard
      - cargo build
    when:
      event:
        - push
